General Any possibility of this happening ? Jailbreak iOS 6.1.3/4, please read first

rak007

macrumors 6502a
Original poster
Oct 31, 2011
507
0
Ok i have this weird thought. I know iOS 7 is a major overhaul and all and many people like it but there are many who want the old look.
Now the evad3rs team had mentioned that they have several exploits they are saving for iOS 7 and thats why they never released jailbreak for iOS 6.1.3/4
But with such drastic changes in iOS 7 i feel there is a possibility that underlying software code must also have changed a lot which probably means that some of the available exploits in iOS 6.1.3/4 may not even be applicable in iOS 7 software code. Now i am pretty sure the jailbreak community is dissecting the iOS 7 code and would know more about this.
But if they determine that some of the exploits are not useful for iOS 7, can't they just release a jailbreak that can work on iOS 6.1.3/4 so people who are on older iOS or 6.1.3 have chance to jailbreak again.

Yes the jailbreak has to come soon and before iOS 7 is public else it is futile.

Just a thought.
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
137
World
Good thought, they might or they might not.

Developing a JB takes loads of time, they might not want to invest time to develop a untethered JB for 6.1.3/4 but instead focus all their attention on iOS7.
 

tymaster50

macrumors 68030
Oct 3, 2012
2,785
7
New Jersey
I was gonna come in here to say that no it wasn't gonna happen, then I read it and while you make a point, they're done with iOS 6. People that wanted to jailbreak are already jailbroken and people that missed it will update to iOS 7, no reason to jailbreak 6.1.3/.4
 

Mr. Chewbacca

macrumors 6502a
Apr 27, 2010
868
79
Dallas TX
I just broke my back glass (5) and have AppleCare so if i trade it in I lose the jailbreak :mad: I would love for them to release a new jb before 7

O well, at least it wasn't the front
 

Troneas

macrumors 65816
Oct 26, 2011
1,378
54
At the alternatives section.
Here we go again..


You are assuming the evasi0n team bothered to check for exploits in iOS 6.1.3 and above. And if they did maybe those exploits are still present in iOS 7, despite its visual overhaul.

Maybe it will rain this week.. Maybe i like cheesecake..

why would evasi0n bother to check for vulnerabilities in 6.1.3? think with me here. who are the people who want a jailbreak now and dont have one?

1. Those who lost their jailbreak - for whatever reason.
2. Those who bought their iphone after the jailbreak window and they were unfortunate enough to get it with iOS 6.1.3+

Consider that only a small percentage of the total people who jailbroke lost it, and consider that people dont buy new iphones in this time of the year when they've been educated to change their phones always in spring when a new one is announced.


so again, WHY would they bother jailbreaking 6.1.3 and 6.1.4 to cater to a couple hundred people at most? and then apple will release iOS 6.1.5 patching that latest jailbreak within a week or two and after a month we will have posts like this one flooding forums again asking for yet a new jailbreak.

so you can keep on speculating all you like but no matter what wild theories you can muster up the chances are that there wont be a new jailbreak for at least another 6 months.
 
Last edited:

madmacfan

macrumors 6502
Feb 19, 2012
282
2
London, United Kingdom
I can completely understand this, Especially for People still using the 3GS on 6.1.3, as They won't be able to upgrade to ios7. Maybe when an ios7 jailbreak is released, the jailbreak can be back ported to 3gs devices only for a jailbreak on 6.1.3, but only time will tell.
 

guitarmandp

macrumors 6502
Sep 21, 2012
418
0
I can completely understand this, Especially for People still using the 3GS on 6.1.3, as They won't be able to upgrade to ios7. Maybe when an ios7 jailbreak is released, the jailbreak can be back ported to 3gs devices only for a jailbreak on 6.1.3, but only time will tell.
I wouldn't count on it
 

Menneisyys2

macrumors 603
Jun 7, 2011
5,394
195
I can completely understand this, Especially for People still using the 3GS on 6.1.3, as They won't be able to upgrade to ios7. Maybe when an ios7 jailbreak is released, the jailbreak can be back ported to 3gs devices only for a jailbreak on 6.1.3, but only time will tell.
All non-iOS7-capable iDevices (3gs, iPt4G) can be JB'n on 6.1.3. (On the old-bootrom 3gs, it's even untethered.)
 

madmacfan

macrumors 6502
Feb 19, 2012
282
2
London, United Kingdom
All non-iOS7-capable iDevices (3gs, iPt4G) can be JB'n on 6.1.3. (On the old-bootrom 3gs, it's even untethered.)
Yeah, It's fine if you have an Old Bootrom 3gs. but the New BR 3gs can only have a tethered jailbreak on 6.1.3. As the devs are saving their exploits for Ios 7, it would be nice to see the jailbreak, when released for Ios7, to be backported to 3GS devices on 6.1.3 which cannot run IOS 7. This way the New BR 3gs could also have an untethered JB on 6.1.3

As you probably already know, Cydia messed up the auto saving of blobs for iOS 6 - 6.1.2 So at the moment the only option for people who haven't manually saved their blobs, Is to downgrade to 5.1.1 , to have an untethered jailbreak. Backporting the IOS 7 JB when it gets released, would mean these users with new BR Would no longer need to downgrade to achieve an untethered JB.
 

Headlands

macrumors newbie
Jun 21, 2013
6
0
I just bought a new iPhone 5 to replace my older Android. Tomorrow I'm going to return the iPhone because of a few important things that I can't change without jailbreaking it (without a jailbreak the Android is superior in a couple of ways, for me).

Sad that Apple is so concerned with not letting people change much. Doesn't make sense to me. I have a Macbook Pro and was looking forward to getting an iPhone, but it's not up to par with the flexibility and ease of use with an Android, unless you can jailbreak it. I'm not waiting months for iOS 7 and then months more for a jailbreak of it. :-(
 

Avalon74

macrumors member
Mar 3, 2011
50
1
I want to upgrade my iPad (preferably before iOS7 infects all iDevices). The only thing keeping me from it is the fact that if I buy one now, I wont be able to jailbreak it. So I'm hoping that whatever vulnerabilities that the evaders had for 6.1.3/4 were patched in iOS7 so that they can just release an updated jailbreak for 6.1.3/4.
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
137
World
I want to upgrade my iPad (preferably before iOS7 infects all iDevices). The only thing keeping me from it is the fact that if I buy one now, I wont be able to jailbreak it. So I'm hoping that whatever vulnerabilities that the evaders had for 6.1.3/4 were patched in iOS7 so that they can just release an updated jailbreak for 6.1.3/4.
I think the rest of us all hope for a iOS7 JB with some theming you'll get iOS7 with the iOS6 jacket.
 

Night Spring

macrumors G5
Jul 17, 2008
13,073
5,102
I think the rest of us all hope for a iOS7 JB with some theming you'll get iOS7 with the iOS6 jacket.
That would be the best thing, for sure.

I haven't bothered with theming for a while, but to get back the iOS 6 look, I might just take it up again.
 

Avalon74

macrumors member
Mar 3, 2011
50
1
Afterall, it's all about you.:D
No I just have an issue with the jailbreak team providing a half-assed service. If youre gonna jailbreak iOS 6 support all versions, or none. And dont give excuses like: "We want to save exploits for the next version." When those exploits will most likely be patched.

And yea... I could theme iOS 7 to look like iOS 6 but:

A. iOS 7 provides no good features over iOS 6... so I'm not even going to update at all.

and

B. Theming is more trouble than its worth.

(Oh.. and I'm sure I wouldnt be the only person to have a device with 6.1.3/4 on it after buying a new device/having to replace a device due to a hardware fault/having to restore the phone because of a software fault)

(And I'm sure I'm not going to be well liked because I'm not thankful to the evaders team and dont see them as gods... or whatever)
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
137
World
Just being thanful is enough...

They did in fact jailbreak all versions of iOS 6.0-6.1.2
The evasi0n exploits were closed in 6.1.3 which means a major effort to get a new untether for 6.1.3 which is a minor release.

Maybe in a few years time when you have grown up you'll appreciate the devs for holding off.
 

gngan

macrumors 68000
Jan 1, 2009
1,828
70
MacWorld
No I just have an issue with the jailbreak team providing a half-assed service. If youre gonna jailbreak iOS 6 support all versions, or none. And dont give excuses like: "We want to save exploits for the next version." When those exploits will most likely be patched.
The Dev-team does not work for you or anyone else. They can decide whatever they want to release or hold without giving any explanation. You are taking it for granted. Be grateful that someone is working for free AND releasing it. Note that there are hackers that hacks iOS but never release any JB tools.


And yea... I could theme iOS 7 to look like iOS 6 but:

A. iOS 7 provides no good features over iOS 6... so I'm not even going to update at all.

And
Since they don’t work for you, why would they care if iOS7 has no good features and you won’t update at all?


(Oh.. and I'm sure I wouldnt be the only person to have a device with 6.1.3/4 on it after buying a new device/having to replace a device due to a hardware fault/having to restore the phone because of a software fault)
Since they don’t work for anyone, why would/should they care if people bought their device that came with 6.1.3/4?


(And I'm sure I'm not going to be well liked because I'm not thankful to the evaders team and dont see them as gods... or whatever)

If you are not thankful than don’t use their tools and develop your own. If they are charging people for JB tools then you can come back and complain.